Github
Authorization
Authorization Query Parameters
githubId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/github.one?githubId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Query Parameters
githubId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/github.getGithubRepositories?githubId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Query Parameters
repo*string
Length
1 <= lengthowner*string
Length
1 <= lengthgithubId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/github.getGithubBranches?repo=string&owner=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/github.githubProviders"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Request Body
application/json
githubId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/github.testConnection" \ -H "Content-Type: application/json" \ -d '{ "githubId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Authorization
Authorization Request Body
application/json
githubId*string
Length
1 <= lengthname*string
Length
1 <= lengthgitProviderId*string
Length
1 <= lengthgithubAppName*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/github.update" \ -H "Content-Type: application/json" \ -d '{ "githubId": "string", "name": "string", "gitProviderId": "string", "githubAppName": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}